Author: Maytham Alsudany <maytha8thedev@gmail.com>
Description: Replace import of embedded headers with libnss
 The original source contained embedded OASIS Open libraries, which have been
 repacked out. This patch replaces the imports to those removed headers with
 libnss, which provides the same PKCS #11 functionality.

--- a/pkcs11/pkcs11.go
+++ b/pkcs11/pkcs11.go
@@ -16,21 +16,16 @@
 package pkcs11
 
 /*
+#cgo pkg-config: nss
 #include <dlfcn.h>
 #include <stdlib.h>
 
 #define CK_PTR *
-#define CK_DECLARE_FUNCTION(returnType, name) \
-  returnType name
-#define CK_DECLARE_FUNCTION_POINTER(returnType, name) \
-  returnType (* name)
-#define CK_CALLBACK_FUNCTION(returnType, name) \
-  returnType (* name)
 #ifndef NULL_PTR
 #define NULL_PTR 0
 #endif
 
-#include "../third_party/pkcs11/pkcs11.h"
+#include <pkcs11.h>
 
 // Go can't call a C function pointer directly, so these are wrappers that
 // perform the dereference in C.
